# React SDK Reference

{% hint style="warning" %}
This is the documentation for version 3x of Whereby's browser-sdk. If you are still on version 2x, please refer to the [legacy documentation here](https://whereby.gitbook.io/legacy-docs). If you are upgrading from version 2x, please see the [migration guide](/whereby-for-web-browser/react-based-browser-sdk/migrate-from-version-2.x-to-3.md).
{% endhint %}

Check out our toolkit helping your designers plan and implement video call experiences

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th data-hidden></th><th data-hidden></th><th data-hidden data-card-target data-type="content-ref"></th><th data-hidden data-card-cover data-type="files"></th></tr></thead><tbody><tr><td>Video Call UI Kit</td><td></td><td></td><td><a href="https://www.figma.com/community/file/1411023646481069706/video-call-ui-kit-by-whereby">https://www.figma.com/community/file/1411023646481069706/video-call-ui-kit-by-whereby</a></td><td><a href="/files/nkEdTAE33IaKiDX2T33K">/files/nkEdTAE33IaKiDX2T33K</a></td></tr></tbody></table>

## Getting started

### Installation

Install the `@whereby.com/browser-sdk` package from the public [npm registry](https://www.npmjs.com/package/@whereby.com/browser-sdk).

{% tabs %}
{% tab title="npm" %}

```bash
npm install @whereby.com/browser-sdk
```

{% endtab %}

{% tab title="yarn" %}

```bash
yarn add @whereby.com/browser-sdk
```

{% endtab %}

{% tab title="pnpm" %}

```bash
pnpm add @whereby.com/browser-sdk
```

{% endtab %}
{% endtabs %}

## Quick Start

{% content-ref url="/pages/V0f2EicuA3ay0WktbtUH" %}
[Browser SDK quickstart](/whereby-for-web-browser/react-based-browser-sdk/quick-start.md)
{% endcontent-ref %}

## Available hooks

{% content-ref url="/pages/lFZVOkmKDjatvjJ73nZp" %}
[useRoomConnection](/reference/react-hooks-reference/useroomconnection.md)
{% endcontent-ref %}

{% content-ref url="/pages/qQCrPmO3YprhnACT2uqr" %}
[useLocalMedia](/reference/react-hooks-reference/uselocalmedia.md)
{% endcontent-ref %}

## Available components

{% content-ref url="/pages/IKcS58kC3R86uFILom3u" %}
[WherebyProvider](/reference/react-hooks-reference/wherebyprovider.md)
{% endcontent-ref %}

{% content-ref url="/pages/mi6qgWPgNsMhg1cxfq2D" %}
[VideoView](/reference/react-hooks-reference/videoview.md)
{% endcontent-ref %}

{% content-ref url="/pages/QcsZlPYhpGaBPb6enUwl" %}
[VideoGrid](/reference/react-hooks-reference/videogrid.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whereby.com/reference/react-hooks-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
